### Method

# Foundry DBusService dup_address

deprecated: 1.1

#### Declaration [src]

    char*
    foundry_dbus_service_dup_address (
      FoundryDBusService* self
    )

#### Description [src]

Gets the D-Bus address of the embedded D-Bus server.

Deprecated since: 1.1

Please do not use it in newly written code.

#### Return value

Type: `char*`

A D-Bus server address if started successfully otherwise `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.